> ## Documentation Index
> Fetch the complete documentation index at: https://docs.musicgpt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Voices by Name

> Search for voices to get their voice ID by their names using a query string.



## OpenAPI

````yaml GET /v1/searchVoices
openapi: 3.1.0
info:
  title: Musicgpt API
  version: 1.0.0
  description: API for retrieving conversion details by ID.
servers:
  - url: https://api.musicgpt.com/api/public
    description: Production server
security: []
paths:
  /v1/searchVoices:
    get:
      summary: Get Voices by Name
      description: >-
        Search for voices to get their voice ID by their names using a query
        string.
      parameters:
        - name: query
          in: query
          required: true
          schema:
            type: string
          description: The search string to filter voices by name
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 20
          description: Maximum number of voices per page
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 0
          description: Page number for pagination
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  voices:
                    type: array
                    items:
                      type: object
                      properties:
                        voice_id:
                          type: string
                        voice_name:
                          type: string
                  limit:
                    type: integer
                  page:
                    type: integer
                  total:
                    type: integer
              example:
                success: true
                voices:
                  - voice_id: JustinBieber
                    voice_name: Justin Bieber
                limit: 20
                page: 0
                total: 2
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: string
              example:
                success: false
                error: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````